login_systems 1.0.3

  • Readme
  • Changelog
  • Example
  • Installing
  • 63

A collection of LoginSystems ready to be used as widgets #

About #

Collection of LoginSystems.

Description #

This package contains a collection of Login System widgets.

Using #

Simply import package: login_systems/login_systems.dart.

ChangeLog #

1.0.3 #

Friday, 10th July, 2020 #

  • Added the LoginSystem02.
  • Improved on the Example, esp; by the request of Mr. Shoghi Effendi Amoakwah. Thanks for his feedback.
  • Documentation improvements.

1.0.2 #

Tuesday, 26th May, 2020 #

  • BREAKING CHANGE Changed many of the class names and properties. For example, GreyLoginSystem renamed to 'LoginSystem01'.
  • Bug Fix: Password field did not save the password.
  • Password field now supports obscured text.
  • Introduced custom styling for text elements.
  • Overall code optimization.
  • Documentation improvements.

1.0.1 #

Friday, 15th May, 2020 #

  • BREAKING CHANGE renamed some fields.
  • Added documentation.

1.0.0 #

  • Bug Fix: unable to locate entry in pubspec.yml: "assets/fonts/Pacifico.Regular.ttf"

0.0.1 #

08-05-2020 #

  • Initial release.
  • Added GreyLoginSystem.

example/example.dart

import 'package:flutter/material.dart';

import 'package:login_systems/login_systems.dart';

main() => MyApp();

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        body: LoginSystem02(
          emailValidator: (String value) {
            if (value.isEmpty) {
              return 'Email cannot be empty.';
            } else {
              return null;
            }
          },
          passwordValidator: (String value) {
            if (value.isEmpty) {
              return 'Password cannot be empty';
            } else {
              return null;
            }
          },
          headerBackgroundColor: Colors.grey,
          onSignInButtonPressed: (email, password) {
            print('$email $password');
          },
          onSignUpButtonPressed: (firstName, lastName, email, password) {
            print('$firstName $lastName $email $password');
          },
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  login_systems: ^1.0.3

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:login_systems/login_systems.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
26
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
63
Learn more about scoring.

We analyzed this package on Jul 11, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.14
  • Flutter: 1.17.5

Analysis suggestions

Package not compatible with SDK dart

Because:

  • login_systems that is a package requiring null.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.7.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.12 1.14.13
meta 1.1.8 1.2.2
sky_engine 0.0.99
typed_data 1.1.6 1.2.0
vector_math 2.0.8 2.1.0-nullsafety
Dev dependencies
flutter_test